unit dm_Service;

interface

uses
  Windows, Messages, SysUtils, Classes, Controls, Forms, Connect;

type
  TServiceDM = class(TDataModule)
    Logger: TFileLogger;
    procedure DataModuleCreate(Sender: TObject);
  private
  public
    Terminate: Boolean;
    Pause: Boolean;
    procedure Log(S: string);
    function Status: string;
    procedure ResetStatus;
    procedure LogServiceStatus;
  end;

var
  ServiceDM: TServiceDM;

  SubType: string;
  SvcName: string;

implementation
uses
  AuxProj;

{$R *.DFM}

procedure TServiceDM.DataModuleCreate(Sender: TObject);
begin
//  Logger.LogFile:= Ini.ReadString('Global', 'LogFile', 'NUL');  // assign a log file to logger
end;

procedure TServiceDM.Log(S: string);
begin
  try
    Logger.Log('', lchNull, S);
  except
  end;
end;

function TServiceDM.Status: string;
begin
  Result:= '';
// write status, custom statistics etc., e.g. number of running time, received messages, procesed records, ...
  Result:= Result+#13#10;
end;

procedure TServiceDM.ResetStatus;
begin
// reset custom statistics, e.g. number of received messages, processed records, ...
end;

procedure TServiceDM.LogServiceStatus;
begin
// if necessary log service status for external application (watch dog, etc.)
end;

end.

